Articles of conda

¿Usar pip o conda para gestionar paquetes?

He estado aprendiendo de forma automática durante mucho tiempo usando matlab y recientemente cambié a python y para instalar ciertos paquetes usé su administrador de paquetes pip e instalé con éxito muchos paquetes. Hace unos días comencé a usar Conda y todos mis paquetes previamente instalados se anularon. ¿Realmente quiero saber la diferencia entre pip […]

Python anaconda conda problema: actualizar el paquete de anaconda es imposible porque los procesos se están ejecutando

Tengo un problema con la actualización de los paquetes de anaconda con conda. Cuando hago una actualización de Conda, hay un problema que me dice: Error: Unable to remove files for package: cryptography Please close all processes running code from cryptography and try again. sin embargo, ningún proceso se está ejecutando, solo tengo la ventana […]

¿Por qué conda intenta actualizar los paquetes con –no-update-dependencies?

A menudo, cuando bash instalar un nuevo paquete, conda también quiere actualizar otros paquetes, aunque haya agregado el modificador –no-update-dependencies. Las actualizaciones parecen ser “innecesarias”, como la mayoría de las veces, solo la última parte del número de versión ha cambiado. Hoy quise instalar el paquete mpld3 y conda quiere actualizar mi paquete de Python […]

El comando de Conda falla silenciosamente

Mi anaconda se está comportando de manera extraña. conda list , conda debug conda install , conda install , todo devuelve nada . Ya reinstalé anaconda2 , verifiqué mi ruta en .profile , y está todo allí. 1. which -a conda /Users/me/anaconda2/bin/conda 2. echo $PATH /Users/me/anaconda2/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin:/usr/local/MacGPG2/bin 3. ~/.profile : # added by Anaconda2 5.0.1 installer […]

¿Cómo actualizo a Tensorflow 1.0 usando anaconda?

Tengo una instalación anaconda de tensorflow (versión 0.9.0) y no puedo actualizarlo a 1.0. Cuando corro conda install tensorflow=1.0.0 yo obtengo PackageNotFoundError: Package missing in current osx-64 channels: – tensorflow 1.0.0* Cuando bash pip install –ignore-installed –upgrade https://storage.googleapiscom/tensorflow/mac/cpu/tensorflow-1.1.0-py3-none-any.whl Se agota el tiempo. Hay preguntas similares en SO, pero ninguna parece responder a mi pregunta de […]

Actualiza todos los paquetes pip que no vienen de conda

En mi sistema de Windows 7 trato de instalar tantos paquetes usando conda. Estos son fáciles de actualizar con conda update all Desafortunadamente, algunos paquetes no aparecen en conda, pero están disponibles a través de pip y, por lo tanto, los instalo usando pip. Actualizar todos los paquetes pip en windows parece mas dificil pero […]

¿Cómo instalar los backends de Mayavi Trait?

SO: Linux Kubuntu 14.4.5 Python: Python 3.5.2 :: Continuum Analytics, Inc. Intenté instalar Mayavi en mi entorno anaconda: conda install -c menpo mayavi=4.5.0 conda install -c anaconda wxpython=3.0.0.0 conda install pyqt conda install qt Pero cuando bash ejecutar el ejemplo desde http://docs.enthought.com/mayavi/mayavi/auto/example_surface_from_irregular_data.html aparece el mensaje de error ImportError: Could not import backend for traits con […]

¿Cómo gestionar dos versiones pip en conda?

Estoy trabajando con conda en Windows. Accidentalmente instalé dos versiones de pip usando python -m pip install –upgrade pip Ahora cuando conda list desde la base env: Mientras pip -version da pip 10.0.0 Si creo un nuevo env con conda create –name py3 pip y ejecuto pip –version obtengo un ImportError, sin embargo python -m […]

¿Cómo instalar Selenium en un entorno conda?

Estoy intentando instalar Selenium en un entorno conda en Windows 10 con conda install –name myenv selenium pero esto devuelve el error PackageNotFoundError: Package missing in current win-64 channels: – selenium ¿Cómo puedo completar la instalación de este paquete?

Cómo actualizar un entorno Conda existente con un archivo .yml

Esto fue pedido aquí pero nunca respondió. ¿Cómo se puede actualizar un entorno conda preexistente con otro archivo .yml? Esto es extremadamente útil cuando se trabaja en proyectos que tienen múltiples archivos de requisitos, es decir base.yml, local.yml, production.yml , etc. Por ejemplo, a continuación se muestra un archivo base.yml con paquetes conda-forge, conda y […]